/*
Спроектировать класс, содержащий две закрытые переменные и функции доступа к ним,
конструктор по умолчанию, конструктор с параметрами и конструктор копирования,
дружественную функцию, выводящую на экран сумму значений закрытых переменных.
Создать объекты и продемонстрировать работу функций.
*/

#include <iostream>

using namespace std;

class Size {
public:
	Size();
	Size(float input_width, float input_height);
	Size(Size &obj);

	float getWidth();
	float getHeight();

	void setWidth(float input_width);
	void setHeight(float input_height);

	friend void printSum(Size obj);

private:
	float
		width,
		height;
};

int main()
{
	Size square;
	square.setHeight(10.6);
	square.setWidth(50.2);

	cout << "Width: " << square.getWidth() << endl
		 << "Height: " << square.getHeight() << endl;

	printSum(square);
	return 0;
}

Size::Size()
{
	setWidth(0);
	setHeight(0);
}

Size::Size(float input_width, float input_height)
{
	setWidth(input_width);
	setHeight(input_height);
}

Size::Size(Size &obj)
{
	setWidth(obj.getWidth());
	setHeight(obj.getHeight());
}

float Size::getWidth()
{
	return width;
}

float Size::getHeight()
{
	return height;
}

void Size::setWidth(float input_width)
{
	width = input_width;
}

void Size::setHeight(float input_height)
{
	height = input_height;
}

void printSum(Size obj)
{
	cout << "Sum: " << obj.getWidth() + obj.getHeight() << endl;
}