/*
Спроектировать шаблон класса для работы с двумя переменными разных типов.
Продемонстрировать использования шаблона.
*/

#include <iostream>

using namespace std;

template <class T1, class T2>
class Values {
public:
	Values();
	Values(T1 input_value_one, T2 input_value_two);

	void set(T1 input_value_one, T2 input_value_two);
	void setOne(T1 input_value_one);
	void setTwo(T2 input_value_two);

	T1 getOne();
	T2 getTwo();

private:
	T1 valueOne;
	T2 valueTwo;
};

int main()
{
	Values<const char*, float> val;

	val.set("test", 43.12);

	cout << "Char value: " << val.getOne() << endl
		 << "Float value: " << val.getTwo() << endl;
	return 0;
}

template <class T1, class T2>
Values<T1, T2>::Values()
{
	set(0, 0);
}

template <class T1, class T2>
Values<T1, T2>::Values(T1 input_value_one, T2 input_value_two)
{
	set(input_value_one, input_value_two);
}

template <class T1, class T2>
void Values<T1, T2>::set(T1 input_value_one, T2 input_value_two)
{
	valueOne = input_value_one;
	valueTwo = input_value_two;
}

template <class T1, class T2>
void Values<T1, T2>::setOne(T1 input_value_one)
{
	valueOne = input_value_one;
}

template <class T1, class T2>
void Values<T1, T2>::setTwo(T2 input_value_two)
{
	valueTwo = input_value_two;
}

template <class T1, class T2>
T1 Values<T1, T2>::getOne()
{
	return valueOne;
}

template <class T1, class T2>
T2 Values<T1, T2>::getTwo()
{
	return valueTwo;
}